<div class="widgets">



<div class="row" *ngIf="curtrack != null" style="position:relative ;background-color: rgba(50,10,10,0.5);margin: 10px;padding: 10px;border-radius: 1px">

    <button type="button" style="position: absolute;right: 15px;top:5px;z-index: 99999" (click)="close()" class="btn btn-default btn-icon"><i class="ion-close-round"></i></button>


<div class="col-md-4">

<div class="form-group">
      <label for="trackName">Song Name : {{curtrack.key}}</label>
      <input class="form-control" [(ngModel)]="curtrack.name" id="trackName">
</div>

<div class="form-group">
      <label for="trackVideo">Song Video Youtube ID</label>
      <input class="form-control" [(ngModel)]="curtrack.video" id="trackVideo">

       </div>


   <div class="form-group">
      <label for="genre">Collaborations</label>
      <ng-multiselect-dropdown [placeholder]="'Select Artists'" [data]="dropdownList" [(ngModel)]="curtrack.collaborations" [settings]="dropdownSettings">
    </ng-multiselect-dropdown>
 <!-- <select class="form-control" [(ngModel)]="curtrack.mood" >
      <option id="mood"  [ngValue]="0">None</option>
<option  *ngFor="let mood of moods | async" id="mood"  [ngValue]="mood.val().name">{{mood.val().name}}</option>
      </select>    -->
       </div>

       <div class="form-group">
      <label for="genre">Mood </label>
 <!-- <select class="form-control" [(ngModel)]="curtrack.mood2" >
      <option id="mood"  [ngValue]="0">None</option>
<option  *ngFor="let mood of moods | async" id="mood"  [ngValue]="mood.val().name">{{mood.val().name}}</option>
      </select> -->
      <ng-multiselect-dropdown [placeholder]="'Select Mood'" [data]="dropdownListMode" [(ngModel)]="curtrack.mood" [settings]="dropdownSettings">
        </ng-multiselect-dropdown>
       </div>

       <div class="form-group">
      <label for="genre">Featuring</label>
 <!-- <select class="form-control" [(ngModel)]="curtrack.mood3" >
      <option id="mood"  [ngValue]="0">None</option>
<option  *ngFor="let mood of moods | async" id="mood"  [ngValue]="mood.val().name">{{mood.val().name}}</option>
      </select> -->
      <ng-multiselect-dropdown [placeholder]="'Select Artists'" [data]="dropdownList" [(ngModel)]="curtrack.featuring" [settings]="dropdownSettings">
        </ng-multiselect-dropdown>
       </div>

    <div class="form-group">
      <label for="trackChosen">Check to show on new songs list <br>(Note that only one song can be chosen from each Album)</label>
      <input type="checkbox" class="form-control" [(ngModel)]="curtrack.chosen" id="trackChosen">
    </div>

    <div class="form-group">
      <button class="form-control" type="submit" (click)="updateInfo()" class="btn btn-default btn-with-icon" >Update</button>
    </div>

</div>

<div class="col-md-4" style="text-align: center">

<div class="form-group">
      <label for="trackFile">Song File</label>
      <input type="file" id="trackFile" class="form-control" value="upload" #filebtn (change)="updateTrack($event)">
</div>



</div>
<div class="col-md-4" style="text-align: center">
<img src="{{curtrack.albumArt}}" style="width: 50%">

</div>

<div class="col-md-12" style="text-align: center">

 <audio controls style="width: 100%;background-color: transparent">
  <source src="{{curtrack.url}}" type="audio/mpeg">
Your browser does not support the audio element.
</audio>
</div>
</div>



 <div class="row">
<div class="col-md-12">
  <input class="form-control" placeholder="Type song, artist or album name to search" [(ngModel)]="searchTerm"  (input)="search($event)"/>
<br>
</div>

<div class="col-md-3" *ngFor="let track of tracks">

<div class="card" style="width: 100%">
  <img class="card-img-top" style="width:100%" src="{{track.val().albumArt}}" alt="Card image cap">
  <div class="card-block">
    <h4 class="card-title">{{track.val().name}}</h4>
    <p class="card-text" ><span *ngFor="let item of track.val().mood" >{{item.name}} -  </span></p>
    <hr>
    <p class="card-text">{{track.val().timestamp | date:'medium'}}</p>



  </div>
  <div class="card-block">
            <button type="button" (click)="edit(track)" class="btn btn-default btn-with-icon"><i class="ion-edit"></i>Edit</button>
            <button type="button" (click)="delete(track.key)" class="btn btn-primary btn-with-icon"><i class="ion-android-delete"></i>Delete</button>

  </div>
</div>

    </div>


  </div>

</div>
